Bug 1275780 - error during update of pcre package to pcre-8.37-5.fc22.x86_64
error during update of pcre package to pcre-8.37-5.fc22.x86_64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 13:41 EDT by Laine Stump
Modified: 2016-07-19 16:42 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:42:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laine Stump 2015-10-27 13:41:58 EDT
I noticed this error during "yum update" (which is of course actually dnr, since this is F22):


Upgrading   : pcre-8.37-5.fc22.x86_64                                   5/444 
libsepol.permission_copy_callback: Module hello depends on permission kill in class service, not satisfied (No such file or directory).
libsemanage.semanage_link_sandbox: Link packages failed (No such file or directory).
semodule:  Failed!

I don't have any idea if this is really a problem, but thought I should report it.
Comment 1 Petr Pisar 2015-10-27 14:07:20 EDT
Thank you for the report.

pcre package does deliver any SELinux policy. Although pcre implements JIT, so it requires executable and writable memory pages in some cases and pcre applications may need SELinux policy tuned for that, this pcre-8.37-5.fc22.x86_64 update did not bring any changes in the JIT.

Therefore I reassign this issue to SELinux policy component because I cannot see any problem in the pcre.
Comment 2 Miroslav Grepl 2015-10-29 07:10:04 EDT
Laine,
the problem is with hello.pp policy module. Is this your local policy module?
Comment 3 Laine Stump 2015-10-29 14:37:46 EDT
Where would it be located? If I've created any local policy module, it was at sometime in the far past and following instructions from someone else...
Comment 4 Miroslav Grepl 2015-12-08 06:47:46 EST
# semodule -l |grep hello
Comment 5 Berend De Schouwer 2015-12-17 01:19:15 EST
Hmm, I get...

  Upgrading   : pcre-8.38-4.fc23.i686                                          41/82 
libsemanage.semanage_load_files: Failed to read file /var/lib/selinux/targeted/tmp/modules/400/mypol/cil. (No such file or directory).
semodule:  Failed!

I didn't get this on any other package update, although surely some other ones must trigger libsemanage.  It might be because:
- pcre was upgraded last, and libsemanage acts in bulk, OR
- pcre executes ldconfig.

I have added 'mypol' a number of times to fix policy problems during F22 beta and F23 beta.  For some reason /var/lib/selinux/targeted/active/modules/400/mypol/cil is an empty file, which I assume is triggering this.
Comment 6 Miroslav Grepl 2016-01-21 07:34:29 EST
Could you try to run

# semodule -B
Comment 7 Laine Stump 2016-01-21 10:04:18 EST
The machine in question was upgraded to F23 a month ago, and I *think* I may have found the "hello.pp" module and deleted it based on your advice but then forgot to report about it. I did run "semodule -B" just now, and it exited with no output, but I'm guessing that would only be relevant if there was some way for me to  retriggerthe pcre update that caused the problem in the first place.

Assuming that I found a hello module and deleted, I'm okay closing this as NOTABUG it you are. On the other hand if there's something  I can try with the machine in its new state, let me know.
Comment 8 Fedora End Of Life 2016-07-19 16:42:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.